Package com.android.server.os

# Class LinphoneTombstoneProtos.LogBuffer.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.LogBuffer,LinphoneTombstoneProtos.LogBuffer.Builder>
com.android.server.os.LinphoneTombstoneProtos.LogBuffer.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.LogBufferOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.LogBuffer

public static final class LinphoneTombstoneProtos.LogBuffer.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.LogBuffer,LinphoneTombstoneProtos.LogBuffer.Builder> implements LinphoneTombstoneProtos.LogBufferOrBuilder
Protobuf type `LogBuffer`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.LogBuffer.Builder`
`addAllLogs(Iterable<? extends LinphoneTombstoneProtos.LogMessage> values)`
`repeated .LogMessage logs = 2;`
`LinphoneTombstoneProtos.LogBuffer.Builder`
`addLogs(int index, LinphoneTombstoneProtos.LogMessage value)`
`repeated .LogMessage logs = 2;`
`LinphoneTombstoneProtos.LogBuffer.Builder`
`addLogs(int index, LinphoneTombstoneProtos.LogMessage.Builder builderForValue)`
`repeated .LogMessage logs = 2;`
`LinphoneTombstoneProtos.LogBuffer.Builder`
`addLogs(LinphoneTombstoneProtos.LogMessage value)`
`repeated .LogMessage logs = 2;`
`LinphoneTombstoneProtos.LogBuffer.Builder`
`addLogs(LinphoneTombstoneProtos.LogMessage.Builder builderForValue)`
`repeated .LogMessage logs = 2;`
`LinphoneTombstoneProtos.LogBuffer.Builder`
`clearLogs()`
`repeated .LogMessage logs = 2;`
`LinphoneTombstoneProtos.LogBuffer.Builder`
`clearName()`
`string name = 1;`
`LinphoneTombstoneProtos.LogMessage`
`getLogs(int index)`
`repeated .LogMessage logs = 2;`
`int`
`getLogsCount()`
`repeated .LogMessage logs = 2;`
`List<LinphoneTombstoneProtos.LogMessage>`
`getLogsList()`
`repeated .LogMessage logs = 2;`
`String`
`getName()`
`string name = 1;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 1;`
`LinphoneTombstoneProtos.LogBuffer.Builder`
`removeLogs(int index)`
`repeated .LogMessage logs = 2;`
`LinphoneTombstoneProtos.LogBuffer.Builder`
`setLogs(int index, LinphoneTombstoneProtos.LogMessage value)`
`repeated .LogMessage logs = 2;`
`LinphoneTombstoneProtos.LogBuffer.Builder`
`setLogs(int index, LinphoneTombstoneProtos.LogMessage.Builder builderForValue)`
`repeated .LogMessage logs = 2;`
`LinphoneTombstoneProtos.LogBuffer.Builder`
`setName(String value)`
`string name = 1;`
`LinphoneTombstoneProtos.LogBuffer.Builder`
`setNameBytes(com.google.protobuf.ByteString value)`
`string name = 1;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getName

public String getName()
`string name = 1;`

Specified by:
  `getName` in interface `LinphoneTombstoneProtos.LogBufferOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`string name = 1;`

Specified by:
  `getNameBytes` in interface `LinphoneTombstoneProtos.LogBufferOrBuilder`
Returns:
  The bytes for name.

### setName

public LinphoneTombstoneProtos.LogBuffer.Builder setName(String value)
`string name = 1;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public LinphoneTombstoneProtos.LogBuffer.Builder clearName()
`string name = 1;`

Returns:
  This builder for chaining.

### setNameBytes

public LinphoneTombstoneProtos.LogBuffer.Builder setNameBytes(com.google.protobuf.ByteString value)
`string name = 1;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### getLogsList

public List<LinphoneTombstoneProtos.LogMessage> getLogsList()
`repeated .LogMessage logs = 2;`

Specified by:
  `getLogsList` in interface `LinphoneTombstoneProtos.LogBufferOrBuilder`

### getLogsCount

public int getLogsCount()
`repeated .LogMessage logs = 2;`

Specified by:
  `getLogsCount` in interface `LinphoneTombstoneProtos.LogBufferOrBuilder`

### getLogs

public LinphoneTombstoneProtos.LogMessage getLogs(int index)
`repeated .LogMessage logs = 2;`

Specified by:
  `getLogs` in interface `LinphoneTombstoneProtos.LogBufferOrBuilder`

### setLogs

public LinphoneTombstoneProtos.LogBuffer.Builder setLogs(int index, LinphoneTombstoneProtos.LogMessage value)
`repeated .LogMessage logs = 2;`

### setLogs

public LinphoneTombstoneProtos.LogBuffer.Builder setLogs(int index, LinphoneTombstoneProtos.LogMessage.Builder builderForValue)
`repeated .LogMessage logs = 2;`

### addLogs

public LinphoneTombstoneProtos.LogBuffer.Builder addLogs(LinphoneTombstoneProtos.LogMessage value)
`repeated .LogMessage logs = 2;`

### addLogs

public LinphoneTombstoneProtos.LogBuffer.Builder addLogs(int index, LinphoneTombstoneProtos.LogMessage value)
`repeated .LogMessage logs = 2;`

### addLogs

public LinphoneTombstoneProtos.LogBuffer.Builder addLogs(LinphoneTombstoneProtos.LogMessage.Builder builderForValue)
`repeated .LogMessage logs = 2;`

### addLogs

public LinphoneTombstoneProtos.LogBuffer.Builder addLogs(int index, LinphoneTombstoneProtos.LogMessage.Builder builderForValue)
`repeated .LogMessage logs = 2;`

### addAllLogs

public LinphoneTombstoneProtos.LogBuffer.Builder addAllLogs(Iterable<? extends LinphoneTombstoneProtos.LogMessage> values)
`repeated .LogMessage logs = 2;`

### clearLogs

public LinphoneTombstoneProtos.LogBuffer.Builder clearLogs()
`repeated .LogMessage logs = 2;`

### removeLogs

public LinphoneTombstoneProtos.LogBuffer.Builder removeLogs(int index)
`repeated .LogMessage logs = 2;`